# Uses of Enum Class
javafx.stage.Modality

Packages that use Modality
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of Modality in javafx.scene.control

Methods in javafx.scene.control that return Modality
Modifier and Type
Method
Description
`final Modality`
Dialog.`getModality()`
Retrieves the modality attribute for this dialog.
Methods in javafx.scene.control with parameters of type Modality
Modifier and Type
Method
Description
`final void`
Dialog.`initModality(Modality modality)`
Specifies the modality for this dialog.

## Uses of Modality in javafx.stage

Methods in javafx.stage that return Modality
Modifier and Type
Method
Description
`final Modality`
Stage.`getModality()`
Retrieves the modality attribute for this stage.
`static Modality`
Modality.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Modality[]`
Modality.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.stage with parameters of type Modality
Modifier and Type
Method
Description
`final void`
Stage.`initModality(Modality modality)`
Specifies the modality for this stage.